Bug 1256708 - [abrt] pcp-gui: context(): pmchart killed by SIGSEGV
[abrt] pcp-gui: context(): pmchart killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pcp (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nathan Scott
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:717d589c8758bc47c5648ced0a8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-25 06:05 EDT by Kazuo Moriwaka
Modified: 2016-04-06 10:56 EDT (History)
7 users (show)

See Also:
Fixed In Version: pcp-3.11.1-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-06 10:56:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (64.00 KB, text/plain)
2015-08-25 06:05 EDT, Kazuo Moriwaka
no flags Details
File: cgroup (191 bytes, text/plain)
2015-08-25 06:05 EDT, Kazuo Moriwaka
no flags Details
File: core_backtrace (8.66 KB, text/plain)
2015-08-25 06:05 EDT, Kazuo Moriwaka
no flags Details
File: dso_list (12.85 KB, text/plain)
2015-08-25 06:05 EDT, Kazuo Moriwaka
no flags Details
File: environ (3.65 KB, text/plain)
2015-08-25 06:05 EDT, Kazuo Moriwaka
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-25 06:05 EDT, Kazuo Moriwaka
no flags Details
File: maps (69.26 KB, text/plain)
2015-08-25 06:05 EDT, Kazuo Moriwaka
no flags Details
File: mountinfo (3.54 KB, text/plain)
2015-08-25 06:05 EDT, Kazuo Moriwaka
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-25 06:05 EDT, Kazuo Moriwaka
no flags Details
File: open_fds (1.61 KB, text/plain)
2015-08-25 06:05 EDT, Kazuo Moriwaka
no flags Details
File: proc_pid_status (1.02 KB, text/plain)
2015-08-25 06:05 EDT, Kazuo Moriwaka
no flags Details
File: var_log_messages (318 bytes, text/plain)
2015-08-25 06:05 EDT, Kazuo Moriwaka
no flags Details

  None (edit)
Description Kazuo Moriwaka 2015-08-25 06:05:31 EDT
Description of problem:
open archive tab and open a view (I've opened Overview). 

Version-Release number of selected component:
pcp-gui-3.10.6-1.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        pmchart
crash_function: context
executable:     /usr/bin/pmchart
global_pid:     23525
kernel:         4.1.5-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            11956

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 context at ../libpcp_qmc/src/qmc_group.h:36
 #1 OpenViewDialog::useArchiveContext at openviewdialog.cpp:341
 #2 OpenViewDialog::openViewFiles at openviewdialog.cpp:382
 #3 OpenViewDialog::openPushButton_clicked at openviewdialog.cpp:432
 #4 OpenViewDialog::qt_static_metacall at moc_openviewdialog.cpp:72
 #5 QMetaObject::activate at kernel/qobject.cpp:3567
 #6 QAbstractButton::clicked at .moc/release-shared/moc_qabstractbutton.cpp:219
 #7 QAbstractButtonPrivate::emitClicked at widgets/qabstractbutton.cpp:548
 #8 QAbstractButtonPrivate::click at widgets/qabstractbutton.cpp:541
 #9 QAbstractButton::mouseReleaseEvent at widgets/qabstractbutton.cpp:1123
Comment 1 Kazuo Moriwaka 2015-08-25 06:05:35 EDT
Created attachment 1066803 [details]
File: backtrace
Comment 2 Kazuo Moriwaka 2015-08-25 06:05:36 EDT
Created attachment 1066804 [details]
File: cgroup
Comment 3 Kazuo Moriwaka 2015-08-25 06:05:38 EDT
Created attachment 1066805 [details]
File: core_backtrace
Comment 4 Kazuo Moriwaka 2015-08-25 06:05:39 EDT
Created attachment 1066806 [details]
File: dso_list
Comment 5 Kazuo Moriwaka 2015-08-25 06:05:41 EDT
Created attachment 1066807 [details]
File: environ
Comment 6 Kazuo Moriwaka 2015-08-25 06:05:42 EDT
Created attachment 1066808 [details]
File: limits
Comment 7 Kazuo Moriwaka 2015-08-25 06:05:44 EDT
Created attachment 1066809 [details]
File: maps
Comment 8 Kazuo Moriwaka 2015-08-25 06:05:45 EDT
Created attachment 1066810 [details]
File: mountinfo
Comment 9 Kazuo Moriwaka 2015-08-25 06:05:46 EDT
Created attachment 1066811 [details]
File: namespaces
Comment 10 Kazuo Moriwaka 2015-08-25 06:05:47 EDT
Created attachment 1066812 [details]
File: open_fds
Comment 11 Kazuo Moriwaka 2015-08-25 06:05:48 EDT
Created attachment 1066813 [details]
File: proc_pid_status
Comment 12 Kazuo Moriwaka 2015-08-25 06:05:50 EDT
Created attachment 1066814 [details]
File: var_log_messages
Comment 13 Nathan Scott 2015-08-27 00:33:20 EDT
Thanks for the problem report, Kazou - this has been fixed upstream now, and will release in pcp-3.10.7 in a couple of weeks time.
Comment 14 Fedora Update System 2015-09-17 01:40:51 EDT
pcp-3.10.7-1.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8117
Comment 15 Fedora Update System 2015-09-17 01:45:11 EDT
pcp-3.10.7-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16073
Comment 16 Fedora Update System 2015-09-18 01:20:47 EDT
pcp-3.10.7-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update pcp'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16073
Comment 17 Fedora Update System 2015-09-18 22:46:20 EDT
pcp-3.10.7-1.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update pcp'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8117
Comment 18 Fedora Update System 2015-10-13 02:53:24 EDT
pcp-3.10.7-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2015-10-29 17:52:08 EDT
pcp-3.10.8-1.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-60b17897b4
Comment 20 Fedora Update System 2015-11-01 11:48:24 EST
pcp-3.10.8-1.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update pcp'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-60b17897b4
Comment 21 Fedora Update System 2015-12-16 21:19:10 EST
pcp-3.10.9-1.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-2ac90519bc
Comment 22 Fedora Update System 2015-12-17 07:49:46 EST
pcp-3.10.9-1.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update pcp'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-2ac90519bc
Comment 23 Fedora Update System 2016-02-02 22:57:49 EST
pcp-3.11.0-1.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-57b7efb2d7
Comment 24 Fedora Update System 2016-02-03 17:18:09 EST
pcp-3.11.0-1.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-57b7efb2d7
Comment 25 Fedora Update System 2016-03-21 20:18:26 EDT
pcp-3.11.1-1.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5b519318e0
Comment 26 Fedora Update System 2016-04-06 10:54:54 EDT
pcp-3.11.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.